/* eslint-disable */
import * as types from './graphql';
import { TypedDocumentNode as DocumentNode } from '@graphql-typed-document-node/core';

/**
 * Map of all GraphQL operations in the project.
 *
 * This map has several performance disadvantages:
 * 1. It is not tree-shakeable, so it will include all operations in the project.
 * 2. It is not minifiable, so the string of a GraphQL query will be multiple times inside the bundle.
 * 3. It does not support dead code elimination, so it will add unused operations.
 *
 * Therefore it is highly recommended to use the babel or swc plugin for production.
 */
const documents = {
    "\n        query deviceModal($id: ID!) {\n            appUser(id: $id) {\n                deviceList {\n                    id\n                    name\n                    mac\n                    ip\n                    isKnown\n                    isKnownExpiration\n                    hasInternetAccess\n                    internetAccessExpiration\n                    wifiName\n                    wifiPass\n                    isAllowed\n                    createdAt\n                    updatedAt\n                    deviceGroupList {\n                        id\n                        name\n                        isActive\n                        createdAt\n                        updatedAt\n                    }\n                    devicePortList {\n                        id\n                        hubPort\n                        devicePort\n                        expiration\n                        createdAt\n                        updatedAt\n                    }\n                    devicePhotoList {\n                        id\n                        filename\n                        displayOrder\n                        createdAt\n                        updatedAt\n                    }\n                    staticIp {\n                        id\n                        ip\n                        expiration\n                        createdAt\n                        updatedAt\n                    }\n                }\n            }\n        }\n    ": types.DeviceModalDocument,
    "\n    mutation removeDevice2($id: ID!) {\n        removeDevice(id: $id)\n    }\n": types.RemoveDevice2Document,
    "\n        query deviceListSelect($filter: DEVICE_FILTER!) {\n            deviceList(first: 10000, filter: $filter) {\n                edges {\n                    node {\n                        id\n                        name\n                        mac\n                        ip\n                    }\n                }\n            }\n        }\n    ": types.DeviceListSelectDocument,
    "\n        query groupListSelect($filter: DEVICE_GROUP_FILTER!) {\n            deviceGroupList(first: 1000, filter: $filter) {\n                edges {\n                    node {\n                        id\n                        name\n                    }\n                }\n            }\n        }\n    ": types.GroupListSelectDocument,
    "\n    query staticIpSelect {\n        staticIpList(first: 10000) {\n            edges {\n                node {\n                    id\n                    ip\n                    device {\n                        id\n                    }\n                }\n            }\n        }\n    }\n": types.StaticIpSelectDocument,
    "\n    query appUserListSelect {\n        appUserList(first: 10000) {\n            edges {\n                node {\n                    id\n                    username\n                    name\n                }\n            }\n        }\n    }\n": types.AppUserListSelectDocument,
    "\n        query deviceGroupModal($id: ID!) {\n            appUser(id: $id) {\n                deviceGroupList {\n                    id\n                    name\n                    isActive\n                    createdAt\n                    updatedAt\n                    deviceList {\n                        id\n                        ip\n                        name\n                        mac\n                    }\n                }\n            }\n        }\n    ": types.DeviceGroupModalDocument,
    "\n    mutation removeDeviceGroup2($id: ID!) {\n        removeDeviceGroup(id: $id)\n    }\n": types.RemoveDeviceGroup2Document,
    "\n    mutation updateAppUser($id: ID!, $data: updateAppUser!) {\n        updateAppUser(id: $id, appUser: $data) {\n            id\n            username\n            name\n            isAdmin\n            state\n            roles\n            lastLoginAt\n            createdAt\n            updatedAt\n            deviceList {\n                id\n            }\n            deviceGroupList {\n                id\n            }\n        }\n    }\n": types.UpdateAppUserDocument,
    "\n    mutation removeAppUser($id: ID!) {\n        removeAppUser(id: $id)\n    }\n": types.RemoveAppUserDocument,
    "\n    mutation createAppUser($data: createAppUser!) {\n        createAppUser(appUser: $data) {\n            id\n            username\n            name\n            isAdmin\n            state\n            roles\n            lastLoginAt\n            createdAt\n            updatedAt\n            deviceList {\n                id\n            }\n            deviceGroupList {\n                id\n            }\n        }\n    }\n": types.CreateAppUserDocument,
    "\n        query appUserList {\n            appUserList(first: 10000) {\n                edges {\n                    node {\n                        id\n                        username\n                        name\n                        isAdmin\n                        state\n                        roles\n                        lastLoginAt\n                        createdAt\n                        updatedAt\n                        deviceList {\n                            id\n                        }\n                        deviceGroupList {\n                            id\n                        }\n                    }\n                }\n            }\n        }\n    ": types.AppUserListDocument,
    "\n        query meWithTokens {\n            me {\n                appUser {\n                    name\n                }\n                tokenList {\n                    id\n                    valid\n                }\n            }\n        }\n    ": types.MeWithTokensDocument,
    "\n    mutation removeRefreshToken($id: ID!) {\n        removeRefreshToken(id: $id)\n    }\n": types.RemoveRefreshTokenDocument,
    "\n        query deviceList($filter: DEVICE_FILTER!, $after: Cursor) {\n            deviceList(first: 6, after: $after, filter: $filter) {\n                edges {\n                    node {\n                        id\n                        name\n                        mac\n                        ip\n                        isKnown\n                        isKnownExpiration\n                        hasInternetAccess\n                        internetAccessExpiration\n                        wifiName\n                        wifiPass\n                        isAllowed\n                        createdAt\n                        updatedAt\n                        owner {\n                            id\n                            username\n                            name\n                            isAdmin\n                            state\n                            roles\n                            lastLoginAt\n                            createdAt\n                            updatedAt\n                        }\n                        deviceGroupList {\n                            id\n                            name\n                        }\n                        devicePortList {\n                            id\n                            hubPort\n                            devicePort\n                            expiration\n                        }\n                        devicePhotoList {\n                            id\n                            filename\n                        }\n                        staticIp {\n                            id\n                            ip\n                            expiration\n                        }\n                    }\n                }\n                pageInfo {\n                    endCursor\n                    hasNextPage\n                }\n            }\n        }\n    ": types.DeviceListDocument,
    "\n    mutation removeDevice($id: ID!) {\n        removeDevice(id: $id)\n    }\n": types.RemoveDeviceDocument,
    "\n    query device($id: ID!) {\n        device(id: $id) {\n            name\n            mac\n            ip\n            isKnown\n            isKnownExpiration\n            hasInternetAccess\n            internetAccessExpiration\n            wifiName\n            wifiPass\n            isAllowed\n            owner {\n                id\n            }\n            deviceGroupList {\n                id\n            }\n            devicePortList {\n                id\n                hubPort\n                devicePort\n                expiration\n            }\n            devicePhotoList {\n                id\n                filename\n            }\n            staticIp {\n                id\n            }\n        }\n    }\n": types.DeviceDocument,
    "\n    mutation createDevice($data: createDevice!) {\n        createDevice(device: $data) {\n            name\n        }\n    }\n": types.CreateDeviceDocument,
    "\n    mutation updateDevice($id: ID!, $data: updateDevice!) {\n        updateDevice(id: $id, device: $data) {\n            name\n        }\n    }\n": types.UpdateDeviceDocument,
    "\n    mutation addDeviceToGroup2($deviceId: ID!, $groupId: ID!) {\n        addDeviceToGroup(deviceId: $deviceId, groupId: $groupId)\n    }\n": types.AddDeviceToGroup2Document,
    "\n    mutation removeDeviceFromGroup2($deviceId: ID!, $groupId: ID!) {\n        removeDeviceFromGroup(deviceId: $deviceId, groupId: $groupId)\n    }\n": types.RemoveDeviceFromGroup2Document,
    "\n    mutation createDevicePort($devicePort: createDevicePort!) {\n        createDevicePort(devicePort: $devicePort) {\n            id\n        }\n    }\n": types.CreateDevicePortDocument,
    "\n    mutation removeDevicePort($id: ID!) {\n        removeDevicePort(id: $id)\n    }\n": types.RemoveDevicePortDocument,
    "\n    mutation createDevicePhoto($devicePhoto: createDevicePhoto!) {\n        createDevicePhoto(devicePhoto: $devicePhoto) {\n            id\n            filename\n        }\n    }\n": types.CreateDevicePhotoDocument,
    "\n    mutation removeDevicePhoto($id: ID!) {\n        removeDevicePhoto(id: $id)\n    }\n": types.RemoveDevicePhotoDocument,
    "\n        query deviceGroupList($filter: DEVICE_GROUP_FILTER!, $after: Cursor) {\n            deviceGroupList(first: 9, after: $after, filter: $filter) {\n                edges {\n                    node {\n                        id\n                        name\n                        deviceList {\n                            id\n                            name\n                            ip\n                            mac\n                        }\n                        owner {\n                            id\n                            name\n                        }\n                        isActive\n                        createdAt\n                        updatedAt\n                    }\n                }\n                pageInfo {\n                    endCursor\n                    hasNextPage\n                }\n            }\n        }\n    ": types.DeviceGroupListDocument,
    "\n    mutation removeDeviceGroup($id: ID!) {\n        removeDeviceGroup(id: $id)\n    }\n": types.RemoveDeviceGroupDocument,
    "\n    query deviceGroup($id: ID!) {\n        deviceGroup(id: $id) {\n            id\n            name\n            deviceList {\n                id\n            }\n            owner {\n                id\n            }\n            isActive\n        }\n    }\n": types.DeviceGroupDocument,
    "\n    mutation createGroup($data: createDeviceGroup!) {\n        createDeviceGroup(deviceGroup: $data) {\n            name\n        }\n    }\n": types.CreateGroupDocument,
    "\n    mutation updateGroup($id: ID!, $data: updateDeviceGroup!) {\n        updateDeviceGroup(id: $id, deviceGroup: $data) {\n            name\n        }\n    }\n": types.UpdateGroupDocument,
    "\n    mutation addDeviceToGroup1($deviceId: ID!, $groupId: ID!) {\n        addDeviceToGroup(deviceId: $deviceId, groupId: $groupId)\n    }\n": types.AddDeviceToGroup1Document,
    "\n    mutation removeDeviceFromGroup1($deviceId: ID!, $groupId: ID!) {\n        removeDeviceFromGroup(deviceId: $deviceId, groupId: $groupId)\n    }\n": types.RemoveDeviceFromGroup1Document,
    "\n    mutation updateStaticIp($id: ID!, $data: updateStaticIp!) {\n        updateStaticIp(id: $id, staticIp: $data) {\n            id\n            device {\n                id\n                name\n                ip\n            }\n            ip\n            expiration\n            createdAt\n            updatedAt\n        }\n    }\n": types.UpdateStaticIpDocument,
    "\n    mutation removeStaticIp($id: ID!) {\n        removeStaticIp(id: $id)\n    }\n": types.RemoveStaticIpDocument,
    "\n    mutation createStaticIp($data: createStaticIp!) {\n        createStaticIp(staticIp: $data) {\n            id\n            device {\n                id\n                name\n                ip\n            }\n            ip\n            expiration\n            createdAt\n            updatedAt\n        }\n    }\n": types.CreateStaticIpDocument,
    "\n        query StaticIpList {\n            staticIpList(first: 10000) {\n                edges {\n                    node {\n                        id\n                        device {\n                            id\n                            name\n                            ip\n                        }\n                        ip\n                        expiration\n                        createdAt\n                        updatedAt\n                    }\n                }\n            }\n        }\n    ": types.StaticIpListDocument,
};

/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 *
 *
 * @example
 * ```ts
 * const query = graphql(`query GetUser($id: ID!) { user(id: $id) { name } }`);
 * ```
 *
 * The query argument is unknown!
 * Please regenerate the types.
 */
export function graphql(source: string): unknown;

/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n        query deviceModal($id: ID!) {\n            appUser(id: $id) {\n                deviceList {\n                    id\n                    name\n                    mac\n                    ip\n                    isKnown\n                    isKnownExpiration\n                    hasInternetAccess\n                    internetAccessExpiration\n                    wifiName\n                    wifiPass\n                    isAllowed\n                    createdAt\n                    updatedAt\n                    deviceGroupList {\n                        id\n                        name\n                        isActive\n                        createdAt\n                        updatedAt\n                    }\n                    devicePortList {\n                        id\n                        hubPort\n                        devicePort\n                        expiration\n                        createdAt\n                        updatedAt\n                    }\n                    devicePhotoList {\n                        id\n                        filename\n                        displayOrder\n                        createdAt\n                        updatedAt\n                    }\n                    staticIp {\n                        id\n                        ip\n                        expiration\n                        createdAt\n                        updatedAt\n                    }\n                }\n            }\n        }\n    "): (typeof documents)["\n        query deviceModal($id: ID!) {\n            appUser(id: $id) {\n                deviceList {\n                    id\n                    name\n                    mac\n                    ip\n                    isKnown\n                    isKnownExpiration\n                    hasInternetAccess\n                    internetAccessExpiration\n                    wifiName\n                    wifiPass\n                    isAllowed\n                    createdAt\n                    updatedAt\n                    deviceGroupList {\n                        id\n                        name\n                        isActive\n                        createdAt\n                        updatedAt\n                    }\n                    devicePortList {\n                        id\n                        hubPort\n                        devicePort\n                        expiration\n                        createdAt\n                        updatedAt\n                    }\n                    devicePhotoList {\n                        id\n                        filename\n                        displayOrder\n                        createdAt\n                        updatedAt\n                    }\n                    staticIp {\n                        id\n                        ip\n                        expiration\n                        createdAt\n                        updatedAt\n                    }\n                }\n            }\n        }\n    "];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n    mutation removeDevice2($id: ID!) {\n        removeDevice(id: $id)\n    }\n"): (typeof documents)["\n    mutation removeDevice2($id: ID!) {\n        removeDevice(id: $id)\n    }\n"];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n        query deviceListSelect($filter: DEVICE_FILTER!) {\n            deviceList(first: 10000, filter: $filter) {\n                edges {\n                    node {\n                        id\n                        name\n                        mac\n                        ip\n                    }\n                }\n            }\n        }\n    "): (typeof documents)["\n        query deviceListSelect($filter: DEVICE_FILTER!) {\n            deviceList(first: 10000, filter: $filter) {\n                edges {\n                    node {\n                        id\n                        name\n                        mac\n                        ip\n                    }\n                }\n            }\n        }\n    "];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n        query groupListSelect($filter: DEVICE_GROUP_FILTER!) {\n            deviceGroupList(first: 1000, filter: $filter) {\n                edges {\n                    node {\n                        id\n                        name\n                    }\n                }\n            }\n        }\n    "): (typeof documents)["\n        query groupListSelect($filter: DEVICE_GROUP_FILTER!) {\n            deviceGroupList(first: 1000, filter: $filter) {\n                edges {\n                    node {\n                        id\n                        name\n                    }\n                }\n            }\n        }\n    "];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n    query staticIpSelect {\n        staticIpList(first: 10000) {\n            edges {\n                node {\n                    id\n                    ip\n                    device {\n                        id\n                    }\n                }\n            }\n        }\n    }\n"): (typeof documents)["\n    query staticIpSelect {\n        staticIpList(first: 10000) {\n            edges {\n                node {\n                    id\n                    ip\n                    device {\n                        id\n                    }\n                }\n            }\n        }\n    }\n"];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n    query appUserListSelect {\n        appUserList(first: 10000) {\n            edges {\n                node {\n                    id\n                    username\n                    name\n                }\n            }\n        }\n    }\n"): (typeof documents)["\n    query appUserListSelect {\n        appUserList(first: 10000) {\n            edges {\n                node {\n                    id\n                    username\n                    name\n                }\n            }\n        }\n    }\n"];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n        query deviceGroupModal($id: ID!) {\n            appUser(id: $id) {\n                deviceGroupList {\n                    id\n                    name\n                    isActive\n                    createdAt\n                    updatedAt\n                    deviceList {\n                        id\n                        ip\n                        name\n                        mac\n                    }\n                }\n            }\n        }\n    "): (typeof documents)["\n        query deviceGroupModal($id: ID!) {\n            appUser(id: $id) {\n                deviceGroupList {\n                    id\n                    name\n                    isActive\n                    createdAt\n                    updatedAt\n                    deviceList {\n                        id\n                        ip\n                        name\n                        mac\n                    }\n                }\n            }\n        }\n    "];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n    mutation removeDeviceGroup2($id: ID!) {\n        removeDeviceGroup(id: $id)\n    }\n"): (typeof documents)["\n    mutation removeDeviceGroup2($id: ID!) {\n        removeDeviceGroup(id: $id)\n    }\n"];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n    mutation updateAppUser($id: ID!, $data: updateAppUser!) {\n        updateAppUser(id: $id, appUser: $data) {\n            id\n            username\n            name\n            isAdmin\n            state\n            roles\n            lastLoginAt\n            createdAt\n            updatedAt\n            deviceList {\n                id\n            }\n            deviceGroupList {\n                id\n            }\n        }\n    }\n"): (typeof documents)["\n    mutation updateAppUser($id: ID!, $data: updateAppUser!) {\n        updateAppUser(id: $id, appUser: $data) {\n            id\n            username\n            name\n            isAdmin\n            state\n            roles\n            lastLoginAt\n            createdAt\n            updatedAt\n            deviceList {\n                id\n            }\n            deviceGroupList {\n                id\n            }\n        }\n    }\n"];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n    mutation removeAppUser($id: ID!) {\n        removeAppUser(id: $id)\n    }\n"): (typeof documents)["\n    mutation removeAppUser($id: ID!) {\n        removeAppUser(id: $id)\n    }\n"];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n    mutation createAppUser($data: createAppUser!) {\n        createAppUser(appUser: $data) {\n            id\n            username\n            name\n            isAdmin\n            state\n            roles\n            lastLoginAt\n            createdAt\n            updatedAt\n            deviceList {\n                id\n            }\n            deviceGroupList {\n                id\n            }\n        }\n    }\n"): (typeof documents)["\n    mutation createAppUser($data: createAppUser!) {\n        createAppUser(appUser: $data) {\n            id\n            username\n            name\n            isAdmin\n            state\n            roles\n            lastLoginAt\n            createdAt\n            updatedAt\n            deviceList {\n                id\n            }\n            deviceGroupList {\n                id\n            }\n        }\n    }\n"];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n        query appUserList {\n            appUserList(first: 10000) {\n                edges {\n                    node {\n                        id\n                        username\n                        name\n                        isAdmin\n                        state\n                        roles\n                        lastLoginAt\n                        createdAt\n                        updatedAt\n                        deviceList {\n                            id\n                        }\n                        deviceGroupList {\n                            id\n                        }\n                    }\n                }\n            }\n        }\n    "): (typeof documents)["\n        query appUserList {\n            appUserList(first: 10000) {\n                edges {\n                    node {\n                        id\n                        username\n                        name\n                        isAdmin\n                        state\n                        roles\n                        lastLoginAt\n                        createdAt\n                        updatedAt\n                        deviceList {\n                            id\n                        }\n                        deviceGroupList {\n                            id\n                        }\n                    }\n                }\n            }\n        }\n    "];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n        query meWithTokens {\n            me {\n                appUser {\n                    name\n                }\n                tokenList {\n                    id\n                    valid\n                }\n            }\n        }\n    "): (typeof documents)["\n        query meWithTokens {\n            me {\n                appUser {\n                    name\n                }\n                tokenList {\n                    id\n                    valid\n                }\n            }\n        }\n    "];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n    mutation removeRefreshToken($id: ID!) {\n        removeRefreshToken(id: $id)\n    }\n"): (typeof documents)["\n    mutation removeRefreshToken($id: ID!) {\n        removeRefreshToken(id: $id)\n    }\n"];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n        query deviceList($filter: DEVICE_FILTER!, $after: Cursor) {\n            deviceList(first: 6, after: $after, filter: $filter) {\n                edges {\n                    node {\n                        id\n                        name\n                        mac\n                        ip\n                        isKnown\n                        isKnownExpiration\n                        hasInternetAccess\n                        internetAccessExpiration\n                        wifiName\n                        wifiPass\n                        isAllowed\n                        createdAt\n                        updatedAt\n                        owner {\n                            id\n                            username\n                            name\n                            isAdmin\n                            state\n                            roles\n                            lastLoginAt\n                            createdAt\n                            updatedAt\n                        }\n                        deviceGroupList {\n                            id\n                            name\n                        }\n                        devicePortList {\n                            id\n                            hubPort\n                            devicePort\n                            expiration\n                        }\n                        devicePhotoList {\n                            id\n                            filename\n                        }\n                        staticIp {\n                            id\n                            ip\n                            expiration\n                        }\n                    }\n                }\n                pageInfo {\n                    endCursor\n                    hasNextPage\n                }\n            }\n        }\n    "): (typeof documents)["\n        query deviceList($filter: DEVICE_FILTER!, $after: Cursor) {\n            deviceList(first: 6, after: $after, filter: $filter) {\n                edges {\n                    node {\n                        id\n                        name\n                        mac\n                        ip\n                        isKnown\n                        isKnownExpiration\n                        hasInternetAccess\n                        internetAccessExpiration\n                        wifiName\n                        wifiPass\n                        isAllowed\n                        createdAt\n                        updatedAt\n                        owner {\n                            id\n                            username\n                            name\n                            isAdmin\n                            state\n                            roles\n                            lastLoginAt\n                            createdAt\n                            updatedAt\n                        }\n                        deviceGroupList {\n                            id\n                            name\n                        }\n                        devicePortList {\n                            id\n                            hubPort\n                            devicePort\n                            expiration\n                        }\n                        devicePhotoList {\n                            id\n                            filename\n                        }\n                        staticIp {\n                            id\n                            ip\n                            expiration\n                        }\n                    }\n                }\n                pageInfo {\n                    endCursor\n                    hasNextPage\n                }\n            }\n        }\n    "];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n    mutation removeDevice($id: ID!) {\n        removeDevice(id: $id)\n    }\n"): (typeof documents)["\n    mutation removeDevice($id: ID!) {\n        removeDevice(id: $id)\n    }\n"];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n    query device($id: ID!) {\n        device(id: $id) {\n            name\n            mac\n            ip\n            isKnown\n            isKnownExpiration\n            hasInternetAccess\n            internetAccessExpiration\n            wifiName\n            wifiPass\n            isAllowed\n            owner {\n                id\n            }\n            deviceGroupList {\n                id\n            }\n            devicePortList {\n                id\n                hubPort\n                devicePort\n                expiration\n            }\n            devicePhotoList {\n                id\n                filename\n            }\n            staticIp {\n                id\n            }\n        }\n    }\n"): (typeof documents)["\n    query device($id: ID!) {\n        device(id: $id) {\n            name\n            mac\n            ip\n            isKnown\n            isKnownExpiration\n            hasInternetAccess\n            internetAccessExpiration\n            wifiName\n            wifiPass\n            isAllowed\n            owner {\n                id\n            }\n            deviceGroupList {\n                id\n            }\n            devicePortList {\n                id\n                hubPort\n                devicePort\n                expiration\n            }\n            devicePhotoList {\n                id\n                filename\n            }\n            staticIp {\n                id\n            }\n        }\n    }\n"];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n    mutation createDevice($data: createDevice!) {\n        createDevice(device: $data) {\n            name\n        }\n    }\n"): (typeof documents)["\n    mutation createDevice($data: createDevice!) {\n        createDevice(device: $data) {\n            name\n        }\n    }\n"];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n    mutation updateDevice($id: ID!, $data: updateDevice!) {\n        updateDevice(id: $id, device: $data) {\n            name\n        }\n    }\n"): (typeof documents)["\n    mutation updateDevice($id: ID!, $data: updateDevice!) {\n        updateDevice(id: $id, device: $data) {\n            name\n        }\n    }\n"];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n    mutation addDeviceToGroup2($deviceId: ID!, $groupId: ID!) {\n        addDeviceToGroup(deviceId: $deviceId, groupId: $groupId)\n    }\n"): (typeof documents)["\n    mutation addDeviceToGroup2($deviceId: ID!, $groupId: ID!) {\n        addDeviceToGroup(deviceId: $deviceId, groupId: $groupId)\n    }\n"];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n    mutation removeDeviceFromGroup2($deviceId: ID!, $groupId: ID!) {\n        removeDeviceFromGroup(deviceId: $deviceId, groupId: $groupId)\n    }\n"): (typeof documents)["\n    mutation removeDeviceFromGroup2($deviceId: ID!, $groupId: ID!) {\n        removeDeviceFromGroup(deviceId: $deviceId, groupId: $groupId)\n    }\n"];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n    mutation createDevicePort($devicePort: createDevicePort!) {\n        createDevicePort(devicePort: $devicePort) {\n            id\n        }\n    }\n"): (typeof documents)["\n    mutation createDevicePort($devicePort: createDevicePort!) {\n        createDevicePort(devicePort: $devicePort) {\n            id\n        }\n    }\n"];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n    mutation removeDevicePort($id: ID!) {\n        removeDevicePort(id: $id)\n    }\n"): (typeof documents)["\n    mutation removeDevicePort($id: ID!) {\n        removeDevicePort(id: $id)\n    }\n"];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n    mutation createDevicePhoto($devicePhoto: createDevicePhoto!) {\n        createDevicePhoto(devicePhoto: $devicePhoto) {\n            id\n            filename\n        }\n    }\n"): (typeof documents)["\n    mutation createDevicePhoto($devicePhoto: createDevicePhoto!) {\n        createDevicePhoto(devicePhoto: $devicePhoto) {\n            id\n            filename\n        }\n    }\n"];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n    mutation removeDevicePhoto($id: ID!) {\n        removeDevicePhoto(id: $id)\n    }\n"): (typeof documents)["\n    mutation removeDevicePhoto($id: ID!) {\n        removeDevicePhoto(id: $id)\n    }\n"];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n        query deviceGroupList($filter: DEVICE_GROUP_FILTER!, $after: Cursor) {\n            deviceGroupList(first: 9, after: $after, filter: $filter) {\n                edges {\n                    node {\n                        id\n                        name\n                        deviceList {\n                            id\n                            name\n                            ip\n                            mac\n                        }\n                        owner {\n                            id\n                            name\n                        }\n                        isActive\n                        createdAt\n                        updatedAt\n                    }\n                }\n                pageInfo {\n                    endCursor\n                    hasNextPage\n                }\n            }\n        }\n    "): (typeof documents)["\n        query deviceGroupList($filter: DEVICE_GROUP_FILTER!, $after: Cursor) {\n            deviceGroupList(first: 9, after: $after, filter: $filter) {\n                edges {\n                    node {\n                        id\n                        name\n                        deviceList {\n                            id\n                            name\n                            ip\n                            mac\n                        }\n                        owner {\n                            id\n                            name\n                        }\n                        isActive\n                        createdAt\n                        updatedAt\n                    }\n                }\n                pageInfo {\n                    endCursor\n                    hasNextPage\n                }\n            }\n        }\n    "];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n    mutation removeDeviceGroup($id: ID!) {\n        removeDeviceGroup(id: $id)\n    }\n"): (typeof documents)["\n    mutation removeDeviceGroup($id: ID!) {\n        removeDeviceGroup(id: $id)\n    }\n"];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n    query deviceGroup($id: ID!) {\n        deviceGroup(id: $id) {\n            id\n            name\n            deviceList {\n                id\n            }\n            owner {\n                id\n            }\n            isActive\n        }\n    }\n"): (typeof documents)["\n    query deviceGroup($id: ID!) {\n        deviceGroup(id: $id) {\n            id\n            name\n            deviceList {\n                id\n            }\n            owner {\n                id\n            }\n            isActive\n        }\n    }\n"];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n    mutation createGroup($data: createDeviceGroup!) {\n        createDeviceGroup(deviceGroup: $data) {\n            name\n        }\n    }\n"): (typeof documents)["\n    mutation createGroup($data: createDeviceGroup!) {\n        createDeviceGroup(deviceGroup: $data) {\n            name\n        }\n    }\n"];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n    mutation updateGroup($id: ID!, $data: updateDeviceGroup!) {\n        updateDeviceGroup(id: $id, deviceGroup: $data) {\n            name\n        }\n    }\n"): (typeof documents)["\n    mutation updateGroup($id: ID!, $data: updateDeviceGroup!) {\n        updateDeviceGroup(id: $id, deviceGroup: $data) {\n            name\n        }\n    }\n"];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n    mutation addDeviceToGroup1($deviceId: ID!, $groupId: ID!) {\n        addDeviceToGroup(deviceId: $deviceId, groupId: $groupId)\n    }\n"): (typeof documents)["\n    mutation addDeviceToGroup1($deviceId: ID!, $groupId: ID!) {\n        addDeviceToGroup(deviceId: $deviceId, groupId: $groupId)\n    }\n"];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n    mutation removeDeviceFromGroup1($deviceId: ID!, $groupId: ID!) {\n        removeDeviceFromGroup(deviceId: $deviceId, groupId: $groupId)\n    }\n"): (typeof documents)["\n    mutation removeDeviceFromGroup1($deviceId: ID!, $groupId: ID!) {\n        removeDeviceFromGroup(deviceId: $deviceId, groupId: $groupId)\n    }\n"];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n    mutation updateStaticIp($id: ID!, $data: updateStaticIp!) {\n        updateStaticIp(id: $id, staticIp: $data) {\n            id\n            device {\n                id\n                name\n                ip\n            }\n            ip\n            expiration\n            createdAt\n            updatedAt\n        }\n    }\n"): (typeof documents)["\n    mutation updateStaticIp($id: ID!, $data: updateStaticIp!) {\n        updateStaticIp(id: $id, staticIp: $data) {\n            id\n            device {\n                id\n                name\n                ip\n            }\n            ip\n            expiration\n            createdAt\n            updatedAt\n        }\n    }\n"];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n    mutation removeStaticIp($id: ID!) {\n        removeStaticIp(id: $id)\n    }\n"): (typeof documents)["\n    mutation removeStaticIp($id: ID!) {\n        removeStaticIp(id: $id)\n    }\n"];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n    mutation createStaticIp($data: createStaticIp!) {\n        createStaticIp(staticIp: $data) {\n            id\n            device {\n                id\n                name\n                ip\n            }\n            ip\n            expiration\n            createdAt\n            updatedAt\n        }\n    }\n"): (typeof documents)["\n    mutation createStaticIp($data: createStaticIp!) {\n        createStaticIp(staticIp: $data) {\n            id\n            device {\n                id\n                name\n                ip\n            }\n            ip\n            expiration\n            createdAt\n            updatedAt\n        }\n    }\n"];
/**
 * The graphql function is used to parse GraphQL queries into a document that can be used by GraphQL clients.
 */
export function graphql(source: "\n        query StaticIpList {\n            staticIpList(first: 10000) {\n                edges {\n                    node {\n                        id\n                        device {\n                            id\n                            name\n                            ip\n                        }\n                        ip\n                        expiration\n                        createdAt\n                        updatedAt\n                    }\n                }\n            }\n        }\n    "): (typeof documents)["\n        query StaticIpList {\n            staticIpList(first: 10000) {\n                edges {\n                    node {\n                        id\n                        device {\n                            id\n                            name\n                            ip\n                        }\n                        ip\n                        expiration\n                        createdAt\n                        updatedAt\n                    }\n                }\n            }\n        }\n    "];

export function graphql(source: string) {
  return (documents as any)[source] ?? {};
}

export type DocumentType<TDocumentNode extends DocumentNode<any, any>> = TDocumentNode extends DocumentNode<  infer TType,  any>  ? TType  : never;